POST /builder/approve
Approve a builder and maximum per-order builder fee rate for your account.
POST https://api.aevo.xyz/builder/approve
Authentication optional. The wallet signature authorises the approval. Either send
accountin the body with no API key, or authenticate with the user'sAEVO-KEYandAEVO-SECRET(thenaccountis optional and must match). See Authentication.
Body Parameters
account
string
No
The approving account (EIP-55 checksum). Required when no API key is sent; must match the API key's account if both are sent. Example: 0xBuilderUserAddress
builder_id
string
Yes
Builder ID. Example: builder_0123456789abcdef
max_fee_rate
string
Yes
Maximum builder fee rate as a decimal fraction. Uses 6-decimal fixed-point precision; 0.0005 is 5 bps. Example: 0.0005
nonce
string
Yes
Unix millisecond nonce signed in the builder approval. Example: 1700000000000
signature
string
Yes
EIP-712 ApproveBuilder signature signed by the account wallet. Example: 0x4c55895aa6f2dfc2da8189a71a054348ce63abbc1ae27267977e0d9cc6848e91
Example Request
curl --request POST \
--url https://api.aevo.xyz/builder/approve \
--header 'accept: application/json' \
--header 'AEVO-KEY: <your-api-key>' \
--header 'AEVO-SECRET: <your-api-secret>' \
--header 'content-type: application/json' \
--data '{ ... }'Responses
200 — Whether or not the builder approval was successfully submitted.
success
boolean
Yes
Request successful if true. Example: true
400 — Bad request.
error
string
Yes
Error message. Example: ERR_MALFORMED_REQUEST
401 — Unauthorized.
error
string
Yes
Error message. Example: UNAUTHORIZED
429 — Rate limit exceeded.
error
string
Yes
Error message. Example: RATE_LIMIT_EXCEEDED
500 — Internal server error.
error
string
Yes
Error message. Example: INTERNAL_ERROR
Last updated
Was this helpful?

